<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: student/callbackAndData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">callbackAndData.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">typedef</span> void(*Callback)(<span class="keywordtype">void</span>*);</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="structCallbackAndData.html">   11</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structCallbackAndData.html">CallbackAndData</a>{</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="structCallbackAndData.html#ad476378cedbec0eb6d0f94230f748985">   12</a></span>&#160;  Callback <a class="code" href="structCallbackAndData.html#ad476378cedbec0eb6d0f94230f748985">callback</a>; </div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="structCallbackAndData.html#a78a20f2b84b041bc23a8933a8078cb92">   13</a></span>&#160;  <span class="keywordtype">void</span>*    <a class="code" href="structCallbackAndData.html#a78a20f2b84b041bc23a8933a8078cb92">data</a>    ; </div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;};</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structCallbackAndData.html">CallbackAndData</a> <a class="code" href="structCallbackAndData.html">CallbackAndData</a>;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordtype">void</span> callbackAndData_init(<a class="code" href="structCallbackAndData.html">CallbackAndData</a>*<span class="keyword">const</span> c);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keywordtype">void</span> call(<a class="code" href="structCallbackAndData.html">CallbackAndData</a>*<span class="keyword">const</span> c);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="ttc" id="structCallbackAndData_html_ad476378cedbec0eb6d0f94230f748985"><div class="ttname"><a href="structCallbackAndData.html#ad476378cedbec0eb6d0f94230f748985">CallbackAndData::callback</a></div><div class="ttdeci">Callback callback</div><div class="ttdoc">callback function </div><div class="ttdef"><b>Definition:</b> callbackAndData.h:12</div></div>
<div class="ttc" id="structCallbackAndData_html_a78a20f2b84b041bc23a8933a8078cb92"><div class="ttname"><a href="structCallbackAndData.html#a78a20f2b84b041bc23a8933a8078cb92">CallbackAndData::data</a></div><div class="ttdeci">void * data</div><div class="ttdoc">callback user data </div><div class="ttdef"><b>Definition:</b> callbackAndData.h:13</div></div>
<div class="ttc" id="structCallbackAndData_html"><div class="ttname"><a href="structCallbackAndData.html">CallbackAndData</a></div><div class="ttdoc">This struct represents callback with user data. </div><div class="ttdef"><b>Definition:</b> callbackAndData.h:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
